* BRKLNCLP -- demonstration of a Clipper program using screens created
* with Dan Bricklin's demo program
* 1/21/88 Bob Ducharme

screendb = 'SCREENS'               && name of .dbf file holding screens
DO show WITH 'PROLOGUE'
DO press_any
DO show WITH 'MAINTITL'
DO press_any
DO show WITH 'SCREEN3'
DO press_any
DO show WITH 'SCREEN4'
DO press_any
DO show WITH 'SCREEN5'
DO press_any
FOR i = 1 TO 4
    DO show WITH 'PROLOGUE'
    DO show WITH 'MAINTITL'
    DO show WITH 'SCREEN3'
    DO show WITH 'SCREEN4'
    DO show WITH 'SCREEN5'
NEXT
DO show WITH 'SCREEN6'
DO pause WITH 2
DO show WITH 'SCREEN6A'
DO press_any
DO show WITH 'FINISH'
RETURN

*************************
PROCEDURE press_any                && pause and wait for any key to be pressed
DO WHILE inkey()=0
ENDDO
RETURN

*************************
PROCEDURE pause                    && wait for timeval seconds
PARAMETERS timeval
SET CONSOLE OFF
?? inkey(timeval)
SET CONSOLE ON
RETURN

*************************
PROCEDURE show                     && get screen from .dbf file and show it
PARAMETERS scrtitl
* since another database may be in use when show() is called, we have to store
* it's name so we can USE it at the end of this function
tempdbf = alias()
USE &screendb
LOCATE FOR scrname = scrtitl
IF .NOT. found()
   CLEAR
   @ 5,0 SAY '&scrtitl screen not found in &screendb picture file.'
ELSE
   tempscr = screen                && can't call _scrrest with memo field
   CALL _scrrest WITH tempscr      && so we need to put it in tempscr
ENDIF
SELECT tempdbf
RETURN

*EOF for BRKLNCLP.PRG